@import "../../../_mixins.scss";

.project-details {
  .header {
    display: flex;
    justify-content: space-between;
    padding: 0;

    .left {
      display: flex;
      .icons {
        display: flex;
        img.status-svg-images {
          width: 15px;
          margin: 0 0px 0 2px;
        }
        img.status-svg-images-black {
          width: 15px;
          filter: invert(1);
          margin: 0 0px 0 2px;
        }
      }
      .name {
        font-size: var(--font-xl);
        font-weight: 600;
        line-height: 2;
        text-align: left;
        color: #00455f;
      }
    }
    .right {
      display: flex;
      justify-content: flex-end;
      .square-btn.btn {
        height: var(--input-height);
        min-width: 80px;
        margin: auto;
      }
      span.project-id {
        font-size: var(--font-l);
        color: #999;
        line-height: 2.5;
        font-weight: 500;
        padding: 0 10px 0 0;
        span {
          font-weight: 600;
        }
      }
      .bom-details {
        margin-right: 5px !important;
      }
    }
  }
  .separator {
    height: 38px;
    border-left: 1px solid #ccc;
    margin: 0px 10px 0 10px;
  }
  .first-row {
    display: flex;
    margin: 0 -5px 0 -7px;
    .ticket-selection {
      border-bottom: 1px solid #dce6ea;
    }
  }
  .action-second {
    padding: 9.5px 5px 28px 0px !important;
  }
  .status-actions-row {
    margin: 8.5px 6px 0px 7px;
    padding: 9.5px 10px 28px 15px;
    background-color: #ffffff;
    width: 80%;
    display: flex;
    .action {
      flex-grow: 1;
      flex-shrink: 1;
      flex-basis: 1;
      text-align: center;
      .status-name {
        font-size: var(--font-xs);
        font-weight: 600;
        line-height: 1.8;
        letter-spacing: normal;
        color: #003041;
      }
      .status-box {
        height: 68px;
        margin: 10px 9px 0 0;
        background-color: #c3cbce;
        font-size: var(--font-m);
        font-weight: 600;
        padding: 5px 0 0 0;
        .name {
          height: 20px;
        }
        &:hover {
          cursor: pointer;
        }
        /* .date {
          vertical-align: middle;
        }
        .name {
          vertical-align: middle;
        }*/
      }
    }
    .not-started {
      .status-box {
        background-color: #c3cbcd !important;
        color: #4e585c !important;
      }
    }
  }
  .status-overall {
    width: 20%;
    height: auto;
    margin: 8.5px 6px 0px 2px;
    padding-bottom: 18px;
    padding: 0px 10px -3px 18px;
    background-color: #ffffff;
    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }
    .field__label {
      padding: 5px 0 0 0 !important;
    }
  }
  .status-overall-accordians {
    width: 20%;
    margin: 8.5px 6px 0px 2px;
    padding: 0 0;
    background-color: #ffffff;
    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }
    .details-box {
      display: flex;
      flex-direction: column;
      padding: 10px;

      .opp-container {
        flex-direction: column;
      }

      .meeting-detail-contact {
        margin-top: 1px;

        .box {
          // width: 500px;
          .right {
            .contact-cancel {
              margin: 0px !important;
            }
          }
        }
      }

      .label-details {
        text-align: left;
        color: #4e585c;
        font-size: var(--font-xs);
      }
      .label-details-error-msg {
        text-align: left;
        color: red;
        font-size: 12px;
      }
      .contact-cancel {
        min-width: 0px;
        width: 80px;
        // margin-left: 125px;
      }
      .contact-save {
        min-width: 0px;
        width: 80px;
        margin-left: 12px;
      }
      .contact-container {
        &:hover {
          .contact-role-edit-icon {
            transform: none;
            cursor: pointer;
            filter: invert(1);
            width: 13px;
            height: 13px;
            margin: 0 0 0 5px;
          }
        }
      }
      .label-content {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding-top: 6px;
        font-size: var(--font-m);
        font-weight: 600;
        font-style: normal;
        line-height: 1.29;
        text-align: left;
        color: #00455f;

        .contact-actions {
          display: flex;
          margin: 5px 0 0 0;
        }

        .contact-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }
      }
      .project-type {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;

        .project-save-icon {
          transform: none;
          cursor: pointer;
          width: 18px;
          height: 18px;
          margin: -5px 12px 0 0;
        }

        .project-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }

        .project-delete-icon {
          transform: none;
          cursor: pointer;
          width: 13px;
          height: 13px;
          margin: -5px 10px 0 0;
        }
      }
      .label-sub-content {
        padding-left: 30px;
        display: flex;
        margin: 0;
      }
      .label-sub-content-attended-text {
        display: flex;
        justify-content: flex-end;
        padding-bottom: 10px;
      }
      .action-item {
        height: 15px;
        margin-top: 15px;
        margin-bottom: 10px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #db7c20;

        &:hover {
          cursor: pointer;
        }
      }
      .field-section {
        padding: 0px;
      }
      .col-md-6,
      .col-xs-6 {
        padding: 0px;
      }
      .upload-box {
        margin: 19.3px 11px 5px 4.1px;
        padding: 10px;
        border: solid 1px #d3dde0;
        background-color: #ffffff;
      }
      .upload-filename {
        width: 164px;
        height: 15px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #00455f;
      }
      .file-upload-actions {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        margin-top: 5px;
      }
      .file-upload-cancel {
        margin-left: 10px;
      }
      .file-action-icons {
        width: 10px;
        height: 10px;
        opacity: 1;
        transform: none;
        cursor: pointer;
      }
      .doucments-list {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: relative;

        .document {
          display: flex;
          align-items: center;
          width: 100%;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          padding-bottom: 15px;

          &:hover {
            cursor: pointer;
          }

          .doc-right {
            display: flex;
            align-items: center;

            .document-label-content {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              padding-top: 6px;
              font-size: var(--font-m);
              font-weight: 600;
              font-style: normal;
              line-height: 1.29;
              text-align: left;
              color: #00455f;
              word-break: break-all;
              white-space: pre-wrap;
            }
          }

          .file-icons {
            opacity: 1;
            width: 35px;
            height: var(--input-height);
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
          }
          .download-icons {
            opacity: 1;
            width: 20px;
            height: 20px;
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
            .remove {
              margin-top: 3px;
            }
          }
          .document-delete {
            margin-left: 160px;
          }
        }
      }
    }
  }
  .color-preview {
    padding: 0;
    height: 58px;
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: 58px;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 3.5;
    }
  }
}
.project-action-component {
  width: 100%;
  margin: 0px 0 0 20px;
  .list-actions {
    display: flex;
    flex-direction: column;
    .Select-placeholder {
      background: #f2f6f7 !important;
      margin: 0 0 0 3px;
    }
  }
  .PMOCollapsible-component {
    margin: 15px 15px 0px 0;
    background: white;
    .label {
      padding: 0;
      height: var(--input-height-l);
    }
    .collapsable-headings {
      padding: 12px 0 0 5px;
    }
    .field--collapsed {
      background-color: #f7f7f7;
    }
    .action-collapse {
      margin: 5px 0 0 10px;
    }
  }
}

.project-details-action-items {
  margin: 0 0 0 8px;
  .status-row {
    display: flex;
    font-weight: 500;
    // &:hover {
    img.edit-png {
      filter: invert(0.5);
    }
    // }
    .edit-png {
      padding: 0 0 0 5px;
      margin: 8px 0 0 10px;
    }
    .info-png {
      padding: 0 0 0 5px;
      width: 20px;
      height: 20px;
      opacity: 0.5;
      margin: 8px 0 0 10px;
    }
    .remove-meeting {
      padding: 0px 0 0 25px;
      align-items: center;
      place-content: center;
      display: flex;
    }
  }
  .status-row.edited {
    display: block;
    padding: 0 28px 5px 15px;
    .remove {
      padding-top: 25px;
    }
    .overdue-item {
      margin-top: 15px;
    }
    .not-editable-status {
      margin: 17px 6px 0 -6px;
    }
  }
  .meeting-list {
    .edited {
      padding: 0 28px 5px 15px;
      .not-editable-status {
        margin: 10px 6px 0 -6px;
      }
    }
    .action-item-meeting-status {
      margin: 0 0 0 7px;
    }
  }
  .risk-edited {
    padding: 0 28px 5px 15px;
  }
  .field__label-label {
    padding: 0px 15px;
    cursor: pointer;
  }
  .field__label-label_date {
    padding: 0;
  }
  .field-section {
    padding: 2px;
  }
  .field-section div.row {
    margin: 0 0 0 -2px;
  }
  .disabled {
    span.field__error {
      display: none;
    }
    .Select-arrow-zone {
      opacity: 0;
    }
    // .Select .Select-control {
    //   border: 0;
    //   background: #f2f6f7;
    //   height: var(--input-height);
    // }
    .field__input input:not([type="radio"]):disabled {
      background: #f2f6f7 !important;
      height: var(--input-height);
    }
    .row.field__label {
      padding: 0;
    }
  }
  .remove {
    place-content: center;
    display: flex;
    padding: 10px 0 0 0;
    margin: 0 0 0 -10px;
    .icon-remove {
      width: 10px;
      height: 10px;
      margin: 0;
      opacity: 0.5;
    }
  }
  .add-new-action-item {
    color: #db7c20;
    margin: 2px 0 15px 0px;
    font-weight: 600;
    cursor: pointer;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  .no-data-action-item {
    margin: 2px 0 10px 0px;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  span.rc-color-picker-trigger {
    width: 40px;
    height: var(--input-height);
    margin: 10px 0 0 0;
  }
  img.remove {
    width: 45px;
    height: var(--input-height);
    margin: 5px 0 0 10px;
    opacity: 0.5;
  }
  img.saved {
    width: 50px;
    height: 49px;
    margin: 3px 0 0 10px;
  }
  img.edit {
    width: 44px;
    height: 17px;
    filter: invert(1);
    margin: 18px 0 0 10px;
  }
  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 2px 0 0 0;
    border-left: 5px solid #fff;
    .left-column {
      width: 5px;
      height: var(--input-height);
      border: solid 1px #fff;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      line-height: 1.8;
    }
  }
  .color-picker {
    text-align: center;
    width: 130px;
  }
  .row-action-btn {
    float: right;
    margin: 5px 8.8% 0 0;

    button.square-btn {
      min-width: unset !important;
      width: 85px;
      height: 30px;
      margin: 0 0 0 5px;
    }
  }
  .row-action-btn-meeting-list {
    float: right;
    margin: 0 8.5% 5px 0;
    button.square-btn {
      min-width: unset !important;
      width: 85px;
      height: 30px;
      margin: 0 0 0 5px;
    }
  }
  .row-action-btn-risk {
    float: right;
    margin: 10px 25% 5px 0;
    button.square-btn {
      min-width: unset !important;
      width: 85px;
      height: 30px;
      margin: 0 0 0 5px;
    }
  }

  .user {
    display: flex;
    background: #f2f6f7 !important;
    min-height: var(--input-height);
    margin: 2px 0 0 -7px;
    // line-height: 3.5;
    text-align: center;
    border-right: 3px solid #fff;
    border-left: 3px solid #fff;
  }
  .description {
    text-align: left;
    border-right: 3px solid #fff;
    border-left: 3px solid #fff;
    max-height: 250px;
    overflow: auto;
    font-weight: 500;
    margin: 2px 3px 2px -7px;
    display: flex;
    flex-direction: column;
    justify-content: center;

    @include small_scroll();

    .text-ellpisis {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      text-align: left;
    }

    .text-ellpisis-1 {
      padding-top: 5px;
      padding-bottom: 5px;
      font-weight: 500;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    .text-ellpisis-1.ql-editor {
      ul,
      ol {
        padding-left: 0;
      }
    }

    .edit-png {
      margin: 0px;
      padding: 0px;
      filter: none !important;
    }
  }
  .description.ql-editor {
    ul,
    ol {
      padding-left: 0;
    }
  }
  .row-date {
    display: flex;
    background: #f2f6f7 !important;
    height: var(--input-height);
    margin: 2px 0px 0 -4px;
    align-items: center;
    text-align: center;
    border-left: 3px solid #fff;
    // justify-content: space-around;
  }
  .type {
    line-height: var(--input-height);
  }
  .Select-placeholder {
    background: #f2f6f7 !important;
    margin: 0 0 0 3px;
  }
}

.project-notes {
  border: solid 1px #d3dde0;
  margin: 0 0 0 23px;
  width: 55vw;
  padding: 10px;
  .new-note {
    .quill.project-notes-quill {
      height: 215px;
      display: flex;
      flex-direction: column;
      margin: 0;
      .ql-container {
        height: 172px;
      }
    }
  }
  .notes-row {
    padding: 0 0 5px 0;
    border-bottom: solid 1px #dce6ea;
    margin: 0 0 5px 25px;
    .user {
      display: flex;
      font-weight: 600;
      line-height: 2.2;
      margin: 0 0 0 -25px;
    }
    .cw-note-type {
      font-weight: 600;
      padding: 8px 0 8px 0px;
    }
    .note {
      font-weight: 500;
      padding: 0 0 0 5px;
      white-space: pre-line;
    }
    .note.ql-editor {
      ul,
      ol {
        padding-left: 0px;
      }
    }
    .date {
      color: #999;
      font-size: var(--font-xs);
      padding: 0 0 0 5px;
    }
    .grey-text {
      color: #999;
      font-size: 11px;
    }
  }

  .no-notes-row {
    padding: 0 0 10px 25px;
  }
  .confirm-help-icon.remove {
    margin: 0px 0 0 3px;
    width: 20px;
    width: 20px;
    .icon-remove {
      width: 10px;
      height: 10px;
      margin: 0;
      opacity: 0.5;
    }
  }

  .actions-notes {
    float: right;
    margin: -20px 12px 0 0;
    width: 20px;
    display: flex;
    .edit-png {
      filter: invert(0.5);
      width: 12px;
      height: 12px;
      margin: 1px 5px 0 0;
    }
  }
  .add-new-note {
    color: #db7c20;
    margin: 0 0 10px 25px;
    font-weight: 600;
    cursor: pointer;
  }
  .action-btn {
    padding: 20px;
    button.square-btn.btn {
      min-width: unset !important;
      margin: 0px 10px 0 0;
      width: 90px;
    }
  }

  .note-from {
    padding: 0 40px;
    color: var(--grey-border);
    // cursor: pointer;
  }
}

.select-customer-contact {
  width: 100%;
  display: flex;
  .add-new-option-box {
    width: -webkit-fill-available;
    margin-right: 5px;
  }
  .add-new-option-customer {
    min-width: 40px !important;
    height: 32px !important;
    margin-top: 27px !important;
    padding: 4px !important;
    font-size: 25px !important;
  }
}

.user {
  display: flex;
  left: 4px;
  .type {
    line-height: 1.9;
  }
}

.meeting-details {
  .meeting-name {
    font-size: var(--font-xl);
    font-weight: 600;
    line-height: 20px;
    text-align: left;
    color: #00455f;
  }

  .project-name {
    font-size: var(--font-m);
    font-weight: 500;
    line-height: 24px;
    text-align: left;
    color: #00455f;
    height: 30px;
    // border-left: 1px solid #ccc;
  }

  .right {
    .square-btn.btn {
      margin: 0 0 0 10px !important;
      min-width: 85px;
    }
    .checkbox-holder {
      align-items: unset;
      margin-right: 10px;
      label.checkbox__content {
        margin: 7px 0 0 7px;
      }
    }
  }
  .name-date {
    display: flex;
    flex-direction: column;
    .date-time {
      border-bottom: 1px solid #dce6ea;
    }
    .time-to-from {
      display: flex;
      .dash-separator {
        margin: 30px 0;
        font-size: 19px;
      }
      .to-time {
        margin: 15px 0 0 0;
      }
    }
  }
  .collapsible-section-meeting {
    display: flex;
    flex-direction: column;
    .field-section.meeeting-name-field {
      input[type="TEXT"] {
        font-size: var(--font-xxl);
      }
    }
  }
  .status-overall {
    width: 95%;
  }
}
.agenda-topic-component {
  display: flex;
  margin-top: 5px;
  flex-direction: column;
  .DraggableTags {
    width: 100%;
    .DraggableTags-tag {
      min-height: 40px;
      left: -5px;
      &:hover {
        border: 1px dashed #ccc;
      }
      .agenda-draggable {
        padding: 0;
        display: flex;
        margin: 3px 0;
      }
    }
    .DraggableTags-tag-drag {
      display: flex !important;
      padding: 0 0 0 20px;
      .confirm-help-icon {
        margin-top: 10px;
      }
    }
  }
  .edit-agenda-topic {
    padding: 0;
    display: flex;
    flex-direction: column;
    .agenda-topics-quill {
      margin: 0;
      height: 215px;
      .ql-container {
        height: 172px;
      }
    }
    .agenda-topic-action-btn {
      margin-bottom: 15px;
      button {
        margin-right: 15px;
      }
    }
  }
  .agenda-topic-content-container {
    padding: 0;
    // margin: 2px 15px;
    .agenda-topic-content {
      min-height: var(--input-height);
      padding: 7px 15px;
      font-family: var(--font-first);
      font-size: var(--font-s);
      font-weight: 500;
      background: #f2f6f7;
      color: #333;
      margin: 0 0 5px 0;
      display: flex;
      flex-direction: column;
      font-weight: 500;
      justify-content: center;
    }
    .agenda-topic-content.ql-editor {
      ul,
      ol {
        padding-left: 0;
      }
    }
    .agenda-error {
      color: red;
      font-weight: 500;
      font-size: var(--font-s);
      margin-bottom: 5px;
    }
  }
  .add-new-action-item {
    color: #db7c20;
    margin: 2px 0 15px 0px;
    font-weight: 600;
    cursor: pointer;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  .no-data-action-item {
    margin: 2px 0 10px 0px;
    border: 1px solid #d3dde0;
    padding: 10px 20px;
    display: flex;
  }
  .field-section {
    padding: 0 !important;
  }
  .status-row {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  .confirm-help-icon {
    margin-left: 15px;
  }
  input[type="TEXT"] {
    background: #f2f6f7 !important;
    border: solid 1px #f2f6f7 !important;
    &:focus,
    &:focus:active {
      background: #fff !important;
      border: solid 1px #e5e5e5 !important;
    }
  }
}
.overall-status-edit {
  padding: 0;
  height: 70px;
  .Select {
    height: 65px !important;
    .Select-menu-outer .Select-menu .Select-option.is-focused {
      background-color: #787a7b4d;
      color: #fff;
    }
  }
  .Select .Select-control {
    border: 0 !important;
    .Select-arrow {
      background: unset;
    }
  }
  .Select-value {
    padding: 0;
  }
  .color-preview-option {
    padding: 0;
    height: var(--input-height);
    line-height: 2.7;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    // margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 1.8;
    }
  }
  .field__error {
    display: none;
  }
  .field__label-label {
    padding: 0 0 0 10px;
  }
}
.overall-status-action-btn {
  margin-left: 10px;
  margin-bottom: 15px;

  .btn {
    min-width: 0px !important;
  }

  .btn-default {
    margin-right: 10px !important;
  }
}
.edited {
  .meeting-status {
    margin: 15px 4px 0 1px !important;
  }
  .action-item-meeting-status {
    margin: 7px 0 0 2px !important;
  }
}
.meeting-status {
  // padding: 0 !important;
  .Select {
    // height: 30px !important;
    .Select-menu-outer .Select-menu .Select-option.is-focused {
      background-color: #787a7b4d;
      color: #fff;
    }
  }
  .Select .Select-control {
    border: 0 !important;
    .Select-arrow {
      background: unset;
    }
  }
  .Select-value {
    padding: 0 !important;
  }
  .edited {
    .color-preview-option {
      padding: 10px 0 0 0;
    }
  }

  .color-preview-option {
    padding: 0;
    height: var(--input-height);
    line-height: 2.7;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
    }
    .text {
      width: 100%;
      height: var(--input-height);
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 1.8;
    }
  }
  .field__label.row {
    display: none !important;
  }
  span.field__error {
    display: none !important;
  }
}
.project-acceptance-md-editor {
  padding-left: 20px;
  margin-bottom: 60px;
}

.document-details-box {
  padding-left: 25px;
  padding-top: 15px;
}

.remove-file {
  padding-left: 10px;
}
.doucments-list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  .document {
    display: flex;
    flex-direction: row;
    padding-bottom: 15px;
    .doc-right {
      display: flex;
    }
    .file-icons {
      opacity: 1;
      width: 35px;
      height: var(--input-height);
      transform: none;
      margin-left: 5px;
      margin-right: 5px;
    }
    .document-delete {
      margin-left: 160px;
    }
  }
}

.document-label-details.action-item {
  height: 15px;
  margin-top: 15px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
  color: #db7c20;

  &:hover {
    cursor: pointer;
  }
}

.document-label-details.action-item.document-error {
  height: 15px;
  margin-top: 15px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
  color: red;

  &:hover {
    cursor: pointer;
  }
}

.document-label-details.info-label {
  height: 15px;
  margin: 12px 140px 0 4px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
}

.info-label.attendees {
  height: 15px;
  padding-left: 25px;
  padding-bottom: 25px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
}

.meeting-upload-box {
  width: 350px;
  margin: 19.3px 11px 5px 4.1px;
  padding: 10px;
  border: solid 1px #d3dde0;
  background-color: #ffffff;
}
.upload-filename {
  width: 164px;
  height: 15px;
  font-family: Montserrat;
  font-size: var(--font-xs);
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  text-align: left;
  color: #00455f;
  word-break: break-all;
  white-space: pre-wrap;
}
.meeting-file-upload-actions {
  display: flex;
  flex-direction: row;
  padding-left: 320px;
  padding-top: 12px;
}
.file-upload-cancel {
  margin-left: 10px;
}
.file-action-icons {
  width: 12px;
  height: 12px;
  opacity: 1;
  transform: none;
  cursor: pointer;
}

.document-error {
  color: red;
}

.user-dropdown {
  display: flex;
  background: #f2f6f7 !important;
  height: var(--input-height);
  margin: 2px -1px 0 1px;
  padding: 0 0 0 10px;
  line-height: 3.5;
  text-align: center;
  border-right: 3px solid #fff;
  border-left: 3px solid #fff;
  .type {
    color: black;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
  }

  &:hover {
    font-weight: 600;
    color: var(--black-font);
  }
}
.meeting-status.action-item-user-dropdon {
  width: 24%;
}
.meeting-status.action-item-status {
  margin: 0 0 0 7px;
}

.risk-item-status {
  margin: 0 0 0 5px;
}
.rc-color-picker-wrap.disabled {
  pointer-events: none;
}

.document-loader {
  position: absolute;
  left: 35%;
  top: 100%;
}

.document-loader img {
  width: 40px !important;
}

.spinner.customer-loader img {
  width: 25px !important;
}

.meeting-download-icons {
  opacity: 1;
  width: 23px;
  height: 23px;
  transform: none;
  margin-left: 15px;
  margin-right: 5px;
  cursor: pointer;
}
.pointer-events-none {
  pointer-events: none;
}

.progressbar-project-details {
  text-align: center;
  font-size: var(--font-m);
  font-weight: 600;
  padding: 0 3px 0 0px;
  height: 50px;
  line-height: var(--input-height);
  display: flex;
  justify-content: center;
  flex-direction: column;

  .percentage {
    font-size: var(--font-xxxxl);
    color: #999;
    letter-spacing: 0.5px;
  }
  .progress-bar-custom-outer {
    color: black;
    height: 10px;
    width: 92%;
    margin: -5px auto 0 auto;
    background: #ccc;
    border-radius: 10px;
  }
  .progress-bar-custom {
    height: 10px;
    margin: 0 auto 0 auto;
    float: left;
    border-radius: 10px;
  }
  .label-text {
    font-family: var(--font-first);
    font-size: 12.2px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.1px;
    text-align: left;
    color: #222222;
    position: relative;
    line-height: 10px;
    padding: 0 0 0 10px;
  }
}

.update-project-description-btn {
  font-weight: 900 !important;
  font-size: 16px !important;
  font-family: "FontAwesome";
  padding: 4px 3px 4px 1px !important;
  background: var(--primary);
  border-left: 1px solid #ccc;
  color: white;
  cursor: pointer;
  height: var(--input-height);
  margin: auto;

  &:hover {
    color: black;
    background: white;
  }
}
.archived-list {
  .archived {
    margin: 0 -15px 0 0;
  }
}

.ticket-error {
  font-size: var(--font-s);
  font-weight: 500;
  color: red;
  text-align: left;
  margin: 20px !important;
}

.risk-completed-on {
  margin: -18px 0 0 0;
}

.date-selection-disabled {
  cursor: not-allowed;
  pointer-events: none;
  opacity: 0.7;
}
img.overdue-item {
  width: 16px;
  float: left;
  margin: 0 5px 0 -21px;
  filter: invert(12%) sepia(80%) saturate(5181%) hue-rotate(9deg)
    brightness(106%) contrast(121%);
}
.description-history-actions {
  position: absolute;
  padding: 15px;
  display: flex;
  flex-direction: column;
  align-items: start;
  background-color: white;
  border: solid 1px #d3dde0;
  border-radius: 2px;
  right: 99px;
  top: 95px;
  z-index: 9;

  .activity {
    width: 100%;
    text-align: left;
    padding: 5px 0;
    font-weight: 600;
    cursor: pointer;
    &:hover {
      text-decoration: underline;
    }
  }
}
.meeting-notes {
  position: fixed;
  bottom: 10px;
  right: 12px;
  width: 600px;
  z-index: 9;
  box-shadow: 2px 3px #ccc, -10px 0 18px #ccc;
  background: white;
  .icon-note-show {
    bottom: 40px;
    position: fixed;
    right: 19%;
    background: white;
    font-weight: 700;
    border: 1px solid #ccc;
    padding: 7px;
    cursor: pointer;
    color: var(--primary);
    z-index: 10;
  }
}

.meeting-notes-modal {
  .modal-dialog {
    width: unset;
    .modal-content {
      width: 70%;
      min-width: unset;
      .meeting-note-input {
        width: 100%;
        position: relative;
        .meeting-notes-quill {
          padding: 0;
          .quill {
            height: unset;
          }
        }
      }
    }
  }
}

#sm-popup-box.item-notes {
  .tooltip-arrow {
    left: 0;
  }

  .tooltip-inner {
    width: 400px;
    resize: both;
    overflow: auto;
    max-width: none;
  }

  .section-for-elements {
    height: 80%;
    .box {
      height: 100%;
      .field-section {
        height: 100%;
        div.row.field__input textarea {
          height: 100%;
        }
        div.row.field__input {
          height: 85%;
        }
      }
    }
    .actions {
      margin: 0px 20px 0 0;
    }
  }
}

.enginner-time-entry-list {
  display: flex;
  flex-direction: column;
  .time-entry-enginner {
    border: 1px solid #ccc;
    margin: 10px 0;
    flex-direction: column;
    .row-two {
      display: flex;
      .date-time {
        display: flex;
        flex-direction: column;
      }
    }
    .delete-engineer {
      float: right;
      margin: -10% 5px 0 0;
    }
  }
  .field-section {
    padding: 0px 10px !important;
  }
}
.time-entry-pm {
  display: flex;
  flex-direction: column;
}

.notes-height-sm {
  div.row.field__input textarea {
    height: 60px !important;
  }
}

.close-ticket-modal {
  .modal-dialog {
    margin: 5px auto;
    .modal-content {
      .modal-body {
        padding: 0;
        .close-meeting-po-up {
          padding: 10px 0 0;
          overflow-y: auto;
          max-height: 80vh;
          @include small_scroll();
          .field-section {
            padding-top: 0px;
            padding-bottom: 0px;
          }
          .enginner-time-entry {
            display: flex;
            flex-wrap: wrap;
          }
          .engineer-list-heading {
            .heading {
              font-size: var(--font-l);
              margin: 10px 0 10px 20px;
            }
          }
          .save-close-meeting {
            margin: 0 0 0 5px;
          }
          .nodata {
            border: 1px solid #ccc;
            padding: 5px;
            text-align: center;
            margin: 5px 0;
          }
        }
      }
    }
  }
}

.open-won-switch.customer-resource {
  width: unset;
  padding: 0;
  font-weight: 600;
  background: white;
  margin: 5px;
  text-align: center;
  .switch {
    -webkit-appearance: none;
    appearance: none;
    height: 2rem;
    width: 4rem;
    background-color: lightgray;
    border-radius: 43px;
    position: relative;
    top: 6px;
    cursor: pointer;

    &::after {
      top: 1px;
      left: 1px;
      content: "";
      width: 1.8rem;
      height: 1.8rem;
      background-color: var(--primary);
      position: absolute;
      border-radius: 100%;
      transition: 1s;
    }

    &:checked {
      background-color: rgba(211, 211, 211, 0.794);

      &::after {
        transform: translateX(2rem);
      }
    }

    &:focus {
      outline-color: transparent;
    }
  }
}

.saved-note-show {
  color: green;
  font-weight: 600;
  font-size: var(--font-s);
  text-align: center;
  position: fixed;
  bottom: 20px;
  right: 25px;
  z-index: 9;
  box-shadow: 2px 3px #ccc, -10px 0 18px #ccc;
  background: white;
  transition: 0.2s all ease-in;
  padding: 5px 10px;
}

.operations-status-list {
  margin: 5px;

  .block-status {
    display: flex;
    justify-content: space-between;
    padding: 5px;
    margin: 5px 15px;
    border: 1px solid #ccc;
    .erros-l {
      width: 60%;
    }
    .name {
      font-weight: 600;
    }
  }
  .block-status.success {
    background: #00800021;
    border: 1px solid #0080005e;
    .success {
      color: green;
    }
  }
  .block-status.error {
    background: #ff000024;
    border: 1px solid #ff00005e;
    .error {
      color: red;
    }
  }
  .heading {
    padding: 2px 15px;
    font-weight: 600;
  }
}

.icon__loading-white {
  height: 21px;
  margin: -6px 0;
  filter: sepia(1);
}

.action-items-quill {
  height: 215px;
  margin: -2px 0 45px 0;
}

.action-items-quill.ql-error {
  .ql-toolbar {
    border-bottom: 1px solid red;
  }
  .ql-container {
    border-left: 1px solid red;
    border-right: 1px solid red;
    border-bottom: 1px solid red;
  }
}

.rectangle-icon-outer {
  width: 23px;
  height: 23px;
  margin: 4px 5px 0 0;
  padding: 2px 3px;
  border-radius: 25%;
}

.project-updates-container {
  padding: 5px 20px;
  .project-updates-header {
    width: 100%;
    label {
      font-weight: 600;
    }
  }
  .pr-up-display-mode {
    display: flex;
    flex-direction: row;
    width: 100%;
    position: relative;
    .pr-up-edit {
      filter: invert(0.5);
      position: absolute;
      right: 6%;
      cursor: pointer;
      z-index: 1;
    }
    .project-updates-html {
      max-height: 150px;
      height: 150px;
      overflow: auto;
      font-weight: 500;
      padding: 5px 15px;
      margin: 5px 5px 5px 0;
      background: #f2f6f7;
      ul,
      ol {
        padding-left: 0;
      }
      @include small_scroll();
    }
    .project-updates-etc {
      padding: 12px 15px;
      align-self: center;
      font-size: 3rem;
      font-weight: 500;
      height: 150px;
      align-items: center;
      display: flex;
      justify-content: center;
      background: #f2f6f7;
      width: 190px;
    }
    .pr-up-no-data {
      display: flex;
      font-weight: 600;
      color: #999;
      align-self: center;
      align-items: center;
      justify-content: center;
      font-size: var(--font-l);
      min-height: var(--input-height);
      height: 150px;
      background: #f2f6f7;
      margin-right: 5px;
      margin: 5px 5px 5px 0;
    }
  }
  .pr-up-edit-mode {
    width: 100%;
    display: flex;
    .project-updates-quill {
      margin-top: 10px;
      display: flex;
      flex-direction: column;
      height: 192px;
      .ql-container {
        height: 150px;
      }
    }
    .project-updates-input {
      align-self: center;
      padding: 10px 15px;
      .field__label {
        display: none;
      }
    }
  }
  .pr-up-actions {
    gap: 10px;
    display: flex;
    justify-content: flex-end;
  }
}

.meeting-save-popup {
  .tooltip-inner {
    max-width: 270px;
  }
}
